import { ReactNode } from 'react';
import { Auth as AuthProps } from '../../../types';
import { CssComponent } from '@stitches/core/types/styled-component';
interface Card {
    className?: string | CssComponent;
}
export declare const AuthCard: ({ children, appearance, }: {
    children?: ReactNode;
    appearance?: Card | undefined;
}) => JSX.Element;
export declare const SignUp: (props: Omit<AuthProps, 'view' | 'onlyThirdPartyProviders'>) => JSX.Element;
export declare const SignIn: (props: Omit<AuthProps, 'view' | 'onlyThirdPartyProviders' | 'additionalData'>) => JSX.Element;
export declare const MagicLink: (props: Omit<AuthProps, 'view' | 'onlyThirdPartyProviders' | 'magicLink' | 'showLinks' | 'additionalData'>) => JSX.Element;
export declare const SocialAuth: (props: Omit<AuthProps, 'view' | 'onlyThirdPartyProviders' | 'magicLink' | 'showLinks' | 'additionalData'>) => JSX.Element;
export declare const ForgottenPassword: (props: Pick<AuthProps, 'supabaseClient' | 'appearance' | 'localization' | 'theme' | 'showLinks' | 'redirectTo'>) => JSX.Element;
export declare const UpdatePassword: (props: Pick<AuthProps, 'supabaseClient' | 'appearance' | 'localization' | 'theme'>) => JSX.Element;
export declare const VerifyOtp: (props: Pick<AuthProps, 'supabaseClient' | 'appearance' | 'localization' | 'theme' | 'otpType'>) => JSX.Element;
export {};
//# sourceMappingURL=index.d.ts.map